Skip to main content
GET
/
api
/
v1
/
indexes
/
{index_id}
/
constituents
cURL
curl --request GET \
  --url https://api.tilt.io/api/v1/indexes/{index_id}/constituents \
  --header 'X-Api-Key: <api-key>'
{
  "meta": {
    "index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "effective_date": "2023-12-25",
    "publish_datetime": "2023-11-07T05:31:56Z"
  },
  "data": [
    {
      "proprietary_id": "<string>",
      "isin": "<string>",
      "cusip": "<string>",
      "ticker": "<string>",
      "mic": "<string>",
      "security_name": "<string>",
      "country_of_listing": "<string>",
      "rbics_sector": "<string>",
      "rbics_sub_sector": "<string>",
      "size_segment": "<string>",
      "local_close_price": "<string>",
      "local_currency": "<string>",
      "fx_rate": "<string>",
      "shares_outstanding": "<string>",
      "free_float_factor": "<string>",
      "capping_factor": "<string>",
      "index_shares": "<string>",
      "index_market_cap": "<string>",
      "index_weight": "<string>",
      "full_market_cap": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt

Use this file to discover all available pages before exploring further.

Description

Retrieves the constituents for a specific index.

Parameters

Path Parameters

ParameterRequiredDescription
index_idYesThe unique identifier of the index

Query Parameters

ParameterRequiredDescription
dateNoEffective date in YYYY-MM-DD format. Defaults to the most recent available date.

Default Behavior

  • If date is not provided, returns constituents for the most recent available date

Authorizations

X-Api-Key
string
header
required

Path Parameters

index_id
string<uuid>
required

Query Parameters

date
string

Effective date in YYYY-MM-DD format. Defaults to most recent available date.

Response

200 - application/json
meta
object
required
data
object[]
required